<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\VideoRequest;
use App\Http\Resources\EvaluationListResource;
use App\Http\Resources\VideoResource;
use App\Models\Evaluation;
use App\Models\UserEvent;
use App\Models\UserEvaluation;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Http\UploadedFile;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\URL;
use Illuminate\Support\Str;
use Date;

class EvaluationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $perPage = request('per_page', 10);
        $search = request('search', '');
        $sortField = request('sort_field', 'created_at');
        $sortDirection = request('sort_direction', 'desc');

        $user = auth()->user();
        if($user->user_type != 'U'){
          return response()->json(['status'=>false,'message'=>'Not a user']);
        }

        $event = UserEvent::where(['user_id'=>$user->id,'status'=>1])->first();
        var_dump($event->id);
        if($event){
          $query = Evaluation::where(['status'=>1,'event_id'=>$event->id])->get();
          if($query){
            return EvaluationListResource::collection($query);
          }else{
            return response()->json(['status'=>false,'message'=>'No evaluation in this event']);
          }
        }else{
          return response()->json(['status'=>false,'message'=>'No event is added']);
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(VideoRequest $request)
    {
    }

    /**
     * Display the specified resource.
     *
     * @param \App\Models\Video $Video
     * @return \Illuminate\Http\Response
     */
    public function show(Video $video)
    {
        return new VideoResource($video);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\Models\Video      $video
     * @return \Illuminate\Http\Response
     */
    public function update()
    {
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\Models\Video $video
     * @return \Illuminate\Http\Response
     */
    public function destroy(Video $video)
    {
    }
}
