<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class AdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
      if (Auth::id()) {
        $user = User::findOrFail(Auth::id());

        if ($user->user_type == 'A') {
            return $next($request);
        } else {
            return redirect('/')->with('error', 'Not User');
        }
      }
      return redirect('/')->with('error', 'Unauthorized');
    }
}
