<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Facades\URL;

class EvaluationListResource extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
          'id' => $this->id,
          'event_id' => $this->event_id,
          'question' => $this->question,
          'type' => $this->type,
          'mandatory' => $this->mandatory,
          'status' =>$this->status,
          'created_at' => (new \DateTime($this->created_at))->format('Y-m-d H:i:s'),
          'updated_at' => (new \DateTime($this->updated_at))->format('Y-m-d H:i:s'),
          'event' => [
            'id' => $this->event->id,
            'title' => $this->event->title,
            'logo' => $this->event->logo,
          ]
        ];
    }
}
