<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use Nette\Utils\DateTime;

class UserResource extends JsonResource
{
    public static $wrap = false;

    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'first_name' => $this->first_name,
            'last_name' => $this->last_name,
            'email' => $this->email,
            'registration_id' => $this->registration_id,
            'mobile' => $this->mobile,
            'user_type' => $this->user_type,
            'email_additional' => $this->email_additional? $this->email_additional:null,
            'mobile_additional' => $this->mobile_additional? $this->mobile_additional:null,
            'company' => $this->company?$this->company:null,
            'country' => $this->country?$this->country:null,
            'created_at' => (new DateTime($this->created_at))->format('Y-m-d H:i:s'),
        ];
    }
}