<?php

namespace App\Imports;

use App\Models\User;
use App\Models\UserDetails;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;
use Maatwebsite\Excel\Concerns\WithCustomCsvSettings;
use Illuminate\Support\Facades\Hash;

class UsersImport implements ToModel, WithStartRow, WithCustomCsvSettings
{
    public $data;
    public function __construct()
    {
      $this->data = collect();
    }
    public function startRow(): int
    {
        return 2;
    }

    public function getCsvSettings(): array
    {
        return [
            'delimiter' => ';'
        ];
    }
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
      // var_dump($row);

      $row = explode(',', $row[0]);
      $model = User::firstOrCreate([
        'registration_id' => $row[9],
        ], [
          'first_name' => $row[1].''.$row[2],
          'last_name'=> $row[3],
          'mobile' => $row[6],
          'email' => $row[7],
          'user_type' => 'U',
          'status' => 1,
          'remember'=>1,
          'password' => Hash::make($row[9]),
          'email_additional' => $row[8],
          'mobile_additional' => null,
          'company' => $row[4],
          'country' => $row[5],
        ]);
        $this->data->push($model);
        return $model;
    }
} 