<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Evaluation extends Model
{
    use HasFactory;
    protected $table = 'evaluation_question';
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $fillable = [
        'question',
        'type',
        'mandatory',
        'event_id',
        'status'
    ];

    public function event()
    {
        return $this->belongsTo(Event::class);
    }

    public function plenary()
    {
      return $this->hasMany(Plenary::class, 'evaluation_id', 'id')->where('status',1);
    }
}