<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserEvent extends Model
{
    use HasFactory;
    protected $table = 'user_event';
    protected $primaryKey = 'id';
    public $timestamps = true;
    protected $fillable = [
        'event_id',
        'user_id',
        'status'
    ];

    public function event()
    {
        return $this->belongsTo(Event::class);
    }
    public function videos()
    {
        return $this->hasMany(Video::class, 'event_id', 'event_id');
    }
}