<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\Admin\EventController;
use App\Http\Controllers\Api\Admin\UserController;
use App\Http\Controllers\Api\Admin\VideoController;
use App\Http\Controllers\Api\Admin\EvaluationController;
use App\Http\Controllers\Api\Admin\CertificateController;
use App\Http\Middleware\UserMiddleware;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware(['auth:sanctum', 'admin'])->group(function () {
  Route::get('/user', [\App\Http\Controllers\Api\AuthController::class, 'getUser']);
  Route::post('/logout', [\App\Http\Controllers\Api\AuthController::class, 'logout']);
  Route::apiResource('/events', EventController::class);
  Route::apiResource('users', UserController::class);
  Route::apiResource('video', VideoController::class);
});

Route::post('/login', [\App\Http\Controllers\Api\AuthController::class, 'login']);
Route::post('/register', [\App\Http\Controllers\Api\AuthController::class, 'register']);

Route::post('/admin/login', [\App\Http\Controllers\Api\AuthController::class, 'adminLogin']);
Route::get('/admin/list/events', [EventController::class, 'listEvents']);
Route::apiResource('/admin/events', EventController::class);
Route::apiResource('/admin/videos', VideoController::class);
Route::apiResource('/admin/users', UserController::class);
Route::apiResource('/admin/evaluations', EvaluationController::class);
Route::apiResource('/admin/templates', CertificateController::class);
Route::get('/admin/user/evaluations/{id}', [UserController::class, 'evaluations']);
Route::get('/admin/user/certificates', [UserController::class, 'certificates']);

Route::middleware(['auth:api'])->group(function() {
  Route::apiResource('/videos', \App\Http\Controllers\Api\VideoController::class);
  Route::apiResource('/evaluations', \App\Http\Controllers\Api\EvaluationController::class);
  Route::post('/logout',[\App\Http\Controllers\Api\AuthController::class, 'logout']);
});

// Route::apiResource('/admin/users', \App\Http\Controllers\Api\UserController::class);
Route::middleware('auth:api')->group(function() {
// Route::apiResource('/videos', \App\Http\Controllers\Api\VideoController::class);
  
});

Route::get('/user',[UserController::class,'getUser']);
