export function setUser(state, user) {
  state.user.data = user;
}

export function setToken(state, token) {
  state.user.token = token;
  if (token) {
    sessionStorage.setItem('TOKEN', token)
  } else {
    sessionStorage.removeItem('TOKEN')
  }
}

export function setEvents(state, [loading, data = null]) {
  if (data) {
    state.events = {
      ...state.events,
      data: data.data,
      links: data.meta?.links,
      page: data.meta.current_page,
      limit: data.meta.per_page,
      from: data.meta.from,
      to: data.meta.to,
      total: data.meta.total,
    }    
  }
  state.events.loading = loading;
}

export function setEventList(state,eventLists){
  state.eventOptions = eventLists;
}

export function setUsers(state, [loading, data = null]) {
  if (data) {
    state.users = {
      ...state.users,
      data: data.data,
      links: data.meta?.links,
      page: data.meta.current_page,
      limit: data.meta.per_page,
      from: data.meta.from,
      to: data.meta.to,
      total: data.meta.total,
    }
  }
  state.users.loading = loading;
}

export function setVideos(state, [loading, data = null]) {
  if (data) {
    state.videos = {
      ...state.videos,
      data: data.data,
      links: data.meta?.links,
      page: data.meta.current_page,
      limit: data.meta.per_page,
      from: data.meta.from,
      to: data.meta.to,
      total: data.meta.total,
    }
  }
  state.videos.loading = loading;
}

export function setEvaluations(state, [loading, data = null]) {
  if (data) {
    state.evaluations = {
      ...state.evaluations,
      data: data.data,
      links: data.meta?.links,
      page: data.meta.current_page,
      limit: data.meta.per_page,
      from: data.meta.from,
      to: data.meta.to,
      total: data.meta.total,
    }
  }
  state.evaluations.loading = loading;
}

export function setTemplates(state, [loading, data = null]) {
  if (data) {
    state.templates = {
      ...state.templates,
      data: data
    }
  }else{
    state.templates = {
      ...state.templates,
      data: null
    }
  }
  state.templates.loading = loading;
}

export function setUserVideos(state,videos) {
  state.videos = videos;
}

export function setUserEvaluation(state, evaluations ) {
  state.evaluations = evaluations;
}

export function setAuthVideos(state, [loading, data = null]) {
  if (data) {
    state.customer_event = {
      ...state.customer_event,
      data: data.data,
      // links: data.meta?.links
  }}
  state.customer_event.loading = loading;
}

export function setAuthEvaluation(state, [loading, data = null]) {
  if (data) {
    state.event_evaluation = {
      ...state.event_evaluation,
      data: data.data,
      // links: data.meta?.links
  }}
  state.event_evaluation.loading = loading;
}


export function showToast(state, message) {
  state.toast.show = true;
  state.toast.message = message;
}

export function hideToast(state) {
  state.toast.show = false;
  state.toast.message = '';
}
